%{?nodejs_find_provides_and_requires}

%global packagename starts-with
%global enable_tests 0

Name:		nodejs-starts-with
Version:	1.0.2
Release:	1%{?dist}
Summary:	Returns true if the given string or array starts with prefix

License:	MIT
URL:		https://github.com/tunnckocore/starts-with.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%description
Returns true if the given string or array starts with prefix using strict
equality for comparisons. Using fastest implementation.


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/node test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Dec  8 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Initial packaging
